/**
 * @ngdoc object
 * 
 * @name myApp.myProvider
 * @requires myApp.myConstant
 * 
 * @description
 * Hmmmmy provider.
 */
function myProvider() {
    var maxBoxSize = 100;
    var box = [];
    
    this.setMaxBoxSize = function(size) {
        maxBoxSize = size;
    };
    
    this.$get = function() {
        
        function pushIntoMyBox(value) {
           if(box.length < maxBoxSize) {
               box.push(value);
           } 
        }
        
        return {
            push: pushIntoMyBox
        };
    };
}